> For the complete documentation index, see [llms.txt](https://docs.codesign.pro/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.codesign.pro/paid-scripts/dispatch3d/developer-api/exports.md).

# Exports

{% hint style="info" %}

#### **Note**

These exports are entirely optional and can be used as needed within your own scripts or integrations.
{% endhint %}

***

## Client

### **Get Player Info**

Returns useful information about a player that can be used to create new dispatch notifications.

{% code title="@parameters" %}

```lua
--- @return table data A table containing the player’s data.
--- @example
--- local data = exports['cd_dispatch']:GetPlayerInfo()
---
--- print(json.encode(data))
```

{% endcode %}

```lua
local data = exports['cd_dispatch3d']:GetPlayerInfo()
```

***

### **Get** All Dispatch Notifications

Returns all active dispatch notifications.

{% code title="@parameters" %}

```lua
--- @return table notifications A table containing all current dispatch notifications.
--- @example
--- local notifications = exports['cd_dispatch']:GetAllDispatchNotifications()

--- print(json.encode(notifications))
```

{% endcode %}

```lua
local notifications = exports['cd_dispatch']:GetAllDispatchNotifications()
```

***

### Get Player’s Dispatch Data

Returns a player’s dispatch-related character data (e.g., callsign, character name, and status).

<pre class="language-lua" data-title="@parameters"><code class="lang-lua">--- @return table playerData A table containing the player’s dispatch data.
--- @example
--- local playerData = exports['cd_dispatch']:GetPlayersDispatchData()
<strong>
</strong>--- print(json.encode(playerData))
</code></pre>

```lua
local playerData = exports['cd_dispatch']:GetPlayersDispatchData()
```

***

### Get Config

Returns all configuration data from the dispatch’s config.lua file.

{% code title="@parameters" %}

```lua
--- @return table configData A table containing the dispatch configuration.
--- @example
--- local config = exports['cd_dispatch']:GetConfig()

--- print(json.encode(config))
```

{% endcode %}

```lua
local config = exports['cd_dispatch']:GetConfig()
```

##

***

## Server

### Get All Dispatch Notifications

Returns all active dispatch notifications.

{% code title="@parameters" %}

```lua
--- @return table notifications A table containing all current dispatch notifications.
--- @example
--- local notifications = exports['cd_dispatch']:GetAllDispatchNotifications()

--- print(json.encode(notifications))
```

{% endcode %}

```lua
local notifications = exports['cd_dispatch']:GetAllDispatchNotifications()
```

***

### Get Player’s Dispatch Data

Returns a player’s dispatch character data, such as callsign, character name, and status.

{% code title="@parameters" %}

```lua
--- @param source number The player’s server ID.
--- @return table playerData A table containing the player’s dispatch data.
--- @example
--- local source= source
--- local playerData = exports['cd_dispatch']:GetPlayersDispatchData(source)

--- print(json.encode(playerData))
```

{% endcode %}

```lua
local playerData = exports['cd_dispatch']:GetPlayersDispatchData(source)
```

***

### Get Config

Returns all configuration data from the dispatch’s config.lua file.

{% code title="@parameters" %}

```lua
--- @return table configData A table containing the dispatch configuration.
--- @example
--- local config = exports['cd_dispatch']:GetConfig()

--- print(json.encode(config))
```

{% endcode %}

```lua
local config = exports['cd_dispatch']:GetConfig()
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.codesign.pro/paid-scripts/dispatch3d/developer-api/exports.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
